#ifndef __ONED_SLV_H__
#define __ONED_SLV_H__

#include "utils.h"


/* Fuer Lambda_Hierarchical(4,1): ord:2  */
extern double          hj1,j00,j10,j110; 
extern unsigned long   until_stationary;
extern random_set      gauss1;



extern void oned_nonlinear_ord2 (double x_start, double *x_new, 
				 double dt, 
				 double alpha, double sigma);

extern void oned_nonlinear_ord2_for_grid (double *xini, 
					  double dt, 
					  double alpha, double sigma);

extern void oned_linear_ord2 (double x_start, double x0, 
			      double *x_new, double dt, 
			      double alpha);

extern void oned_nonlinear_ord2_fwd (double x_start,double *x_new, 
				     double dt, 
				     double alpha,double sigma);

extern void oned_linear_ord2_fwd (double x_start,double x0, 
				  double *x_new,double dt, 
				  double alpha);

void compute_j_functionals_oned(random_set *ptr_rs, double time_step);

void compute_stat_nl_solution_oned ( double beta,
				     double sigma,
				     double dt,
				     double nlx1_s,
				     double nlx2_s,
				     FILE   *fp_log,
				     int    modulus,
				     double *nlx_stat
				     );

#endif 



