# For clearing the plotting window
load "default.gp"


set noparametric
set auto xy
set grid
set data style lines
set title "Trajectories of the stochastic Brusselator"


set xlabel "t"
set ylabel ""
plot "traject.dat" using 1:2 title "x(t)","traject.dat" using 1:3 title "y(t)"
pause 10

set title "Trajectories of the stochastic Brusselator in the (x,y)-phase plane"
set xlabel "x"
set ylabel "y"
plot "traject.dat" using 2:3 title ""
