# For clearing the plotting window
load "default.gp"


set noparametric
set nogrid
set xlabel "x"
set ylabel "y"
set data style points
set xrange [0:5]
set yrange [0:5]


set title "Backward flow of the stochastic Brusselator at t=0"
plot "flowbwd.dat" using 1:2 title ""
pause 5

set title "Backward flow of the stochastic Brusselator at t=-0.1"
plot "flowbwd.dat" using 3:4 title ""
pause 5

set title "Backward flow of the stochastic Brusselator at t=-0.2"
plot "flowbwd.dat" using 5:6 title ""
pause 5

set title "Backward flow of the stochastic Brusselator at t=-0.3"
plot "flowbwd.dat" using 7:8 title ""
pause 5

set title "Backward flow of the stochastic Brusselator at t=-1"
plot "flowbwd.dat" using 9:10 title ""
pause 5

