# For clearing the plotting window
load "default.gp"


set parametric
set surface
set nocont
set nogrid
set auto xy


set title "Stationary density of the stochastic Brusselator"
set data style lines
set xlabel "x"
set ylabel "y"
set zlabel "h(x,y)"
splot "histogrm.dat" using 1:2:3

