load lyapexp.mat

a_xmin = beta_values_V(1);
a_xmax = beta_values_V(no_parameter_values);
y_min(1) = min(first_lyap_exp_V);
y_min(2) = min(second_lyap_exp_V);
y_max(1) = max(first_lyap_exp_V);
y_max(2) = max(second_lyap_exp_V);
a_ymin = min(y_min) - 0.5; 
a_ymax = max(y_max) + 0.5; 

figure(1)
%% line at level zero
zero_V(1) = 0;
zero_V(2) = 0;
abscissa_V(1) = a_xmin;
abscissa_V(2) = a_xmax;
plot(abscissa_V, zero_V, '-', 'LineWidth', 0.25)  
hold on 
plot(beta_values_V, first_lyap_exp_V, 'y-','LineWidth', 0.5) 
plot(beta_values_V, second_lyap_exp_V,'b-.','LineWidth', 1.5) 
axis([a_xmin a_xmax a_ymin a_ymax])
title(['Lyapunov exponents of the stochastic Brusselator (alpha= ', num2str(alpha), ')'])
xlabel('beta') 
%ylabel('Lyapunov exponents') 
%print -deps2 lyapexp.eps

