load trajbwd.mat

figure(1)
plot(times_V, x_trajectory_V, '-','LineWidth', 0.5) 
axis('auto')
title('Trajectory of the stochastic Brusselator (backward in time): x-component')
xlabel('t') 
ylabel('x(t)') 
%print -deps2 trjbwdx.eps

figure(2)
plot(times_V, y_trajectory_V, '-','LineWidth', 0.5) 
axis('auto')
title('Trajectory of the stochastic Brusselator (backward in time): y-component')
xlabel('t') 
ylabel('y(t)')
%print -deps2 trjbwdy.eps

figure(3)
plot(x_trajectory_V, y_trajectory_V, '-','LineWidth', 0.5) 
axis('auto')
title('Trajectory of the stochastic Brusselator (backward in time) in the (x,y) phase plane')
xlabel('x') 
ylabel('y')
%print -deps2 trjbwdxy.eps


